//Licensed Materials - Property of IBM
//
//"Restricted Materials of IBM"
//
//CA0D
//
//(c) Copyright IBM Corp. 2013 All Rights Reserved.
//
//US Government Users Restricted Rights - Use, duplication or
//disclosure restricted by GSA ADP Schedule Contract with
//IBM Corp. 

WL.Server.createEventSource({
	name: 'MotorClaimNotification',
	onDeviceSubscribe: 'deviceSubscribeFunc',
	onDeviceUnsubscribe: 'deviceUnsubscribeFunc',
	onUserChange: 'onUserChange',
	securityTest:'PushApplication-strong-mobile-securityTest'
});

function onUserChange(){
	WL.Logger.debug("onUserChange");

	return {
		isSuccessful:true
	};
	
}

function deviceSubscribeFunc(userSubscription, deviceSubscription){
	WL.Logger.debug(">> deviceSubscribeFunc");
}

function deviceUnsubscribeFunc(userSubscription, deviceSubscription){
	WL.Logger.debug(">> deviceUnsubscribeFunc");
}

function findNode(node,string){
	
	var nodeEnd = node.slice(0, 1) + "/" + node.slice(1);
	var chunk = string.split(node)[1];
	var chunk2 = chunk.split(nodeEnd)[0];
	
	return chunk2;
	
}



function submitNotification(){
	

	var notificationText="Insurance Claim Started";
	var request = WL.Server.getClientRequest();
	var body = request.getReader();
	
	var line;
	var total = "";
	while ((line = body.readLine()) != null) {
		total+=line;
		WL.Logger.debug("LINE IS :"+line);
	}
	
	var custNum = findNode("<data:custNum>",total).replace(/^0+/, '');	
	var policyNum = findNode("<data:policyNum>",total).replace(/^0+/, '');
	var issueDate = findNode("<data:issueDate>",total);
	var expiryDate = findNode("<data:expiryDate>",total);
	var make = findNode("<data:make>",total);
	var model = findNode("<data:model>",total);
	var value = findNode("<data:value>",total).replace(/^0+/, '');
	var regNum = findNode("<data:regnum>",total);
	var colour = findNode("<data:colour>",total);
	var cc = findNode("<data:cc>",total);
	var manufactured = findNode("<data:manufactured>",total);
	var notifyUserId = findNode("<data:filler>",total).split("FINAL")[1].replace(/^0+/, '');
	
	WL.Logger.debug("Data custNum :"+custNum);
	WL.Logger.debug("Data policyNum :"+policyNum);
	WL.Logger.debug("Data issueDate :"+issueDate);
	WL.Logger.debug("Data expiryDate:"+expiryDate);
	WL.Logger.debug("Data make :"+make);
	WL.Logger.debug("Data model :"+model);
	WL.Logger.debug("Data value :"+value);
	WL.Logger.debug("Data regNum:"+regNum);
	WL.Logger.debug("Data colour :"+colour);
	WL.Logger.debug("Data cc :"+cc);
	WL.Logger.debug("Data manufactured :"+manufactured);
	WL.Logger.debug("Data notifyUserID:"+notifyUserId);
	
	var userSubscription = 
		WL.Server.getUserNotificationSubscription('ClaimNotification.MotorClaimNotification', notifyUserId);
	
	
	WL.Logger.debug("Length of device array:"+userSubscription.getDeviceSubscriptions().length);
	
	if (userSubscription==null){
		return { result: "No subscription found for user :: " + notifyUserId };
	}
	
	WL.Logger.debug("submitNotification >> userId :: " + notifyUserId + ", text :: " + notificationText);
	
	var payload = {
			c : custNum,
			p : policyNum
	};
	
	var notification = WL.Server.createDefaultNotification("GENAPP Insurance",1,payload) ;
	
	WL.Server.notifyAllDevices(userSubscription,notification);
	
	return { result: "Notification sent to user :: " + notifyUserId };
}


