//Licensed Materials - Property of IBM
//
//"Restricted Materials of IBM"
//
//CA0D
//
//(c) Copyright IBM Corp. 2013 All Rights Reserved.
//
//US Government Users Restricted Rights - Use, duplication or
//disclosure restricted by GSA ADP Schedule Contract with
//IBM Corp. 


var motorPolicyNum;
var homePolicyNum;
var endowmentPolicyNum;

/*
function getCustomerDetails(custNum) {
	var pathURL = "GENAPP/getCustomerDetails";
	var request=
		{
			"LGICUS01Operation":{
				"ca" : {
					"ca_request_id" : "01ICUS",
					"ca_return_code" : "00",
					"ca_customer_num" : custNum,
		            "ca_num_policies" : ""
					}
			}
		};
	
	
	var input = {
	    method : 'post',
	    returnedContentType : 'json',
	    path : pathURL,
		body : {
			content: JSON.stringify(request),
			contentType: 'application/json; charset=utf-8'
		}
	};
	
	var result = WL.Server.invokeHttp(input);
	
	var firstName = result.LGICUS01OperationResponse.ca.ca_first_name;
	var lastName =  result.LGICUS01OperationResponse.ca.ca_last_name;
	var houseName = result.LGICUS01OperationResponse.ca.ca_house_name;
	var houseNumber = result.LGICUS01OperationResponse.ca.ca_house_num;
	var postCode = result.LGICUS01OperationResponse.ca.ca_postcode;
	var contactNo=result.LGICUS01OperationResponse.ca.ca_phone_mobile;
	var contactHome=result.LGICUS01OperationResponse.ca.ca_phone_home;
	var email=result.LGICUS01OperationResponse.ca.ca_email_address;
	var dob = result.LGICUS01OperationResponse.ca.ca_dob;
	var policyCount = result.LGICUS01OperationResponse.ca.ca_num_policies;
	
	var user = { "firstName": firstName, "lastName": lastName, "houseName":houseName,"houseNumber":houseNumber,
			"postCode":postCode,"contactNo":contactNo,"contactHome":contactHome,"email":email,"dob":dob,
			"policyCount":policyCount};
	
	return user;
}
*/

function getCustomerDetails(custNum){
	var path = "/GENAPP/LGICUS01";
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
			<q0:LGICUS01Operation>
				<q0:ca>
					<q0:ca_request_id>01ICUS</q0:ca_request_id>
					<q0:ca_return_code>00</q0:ca_return_code>
					<q0:ca_customer_num>{custNum}</q0:ca_customer_num>
					<q0:ca_first_name />
					<q0:ca_last_name />
					<q0:ca_dob />
					<q0:ca_house_name />
					<q0:ca_postcode />
					<q0:ca_num_policies>0</q0:ca_num_policies>
					<q0:ca_phone_mobile/>
					<q0:ca_phone_home/>
					<q0:ca_email_address/>
					<q0:ca_policy_data />
				</q0:ca>
			</q0:LGICUS01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	var firstName = result.Envelope.Body.LGICUS01OperationResponse.ca.ca_first_name;
	var lastName =  result.Envelope.Body.LGICUS01OperationResponse.ca.ca_last_name;
	var houseName = result.Envelope.Body.LGICUS01OperationResponse.ca.ca_house_name;
	var houseNumber = result.Envelope.Body.LGICUS01OperationResponse.ca.ca_house_num;
	var postCode = result.Envelope.Body.LGICUS01OperationResponse.ca.ca_postcode;
	var contactNo=result.Envelope.Body.LGICUS01OperationResponse.ca.ca_phone_mobile;
	var contactHome=result.Envelope.Body.LGICUS01OperationResponse.ca.ca_phone_home;
	var email=result.Envelope.Body.LGICUS01OperationResponse.ca.ca_email_address;
	var dob = result.Envelope.Body.LGICUS01OperationResponse.ca.ca_dob;
	var policyCount = result.Envelope.Body.LGICUS01OperationResponse.ca.ca_num_policies;
	
	var user = { "firstName": firstName, "lastName": lastName, "houseName":houseName,"houseNumber":houseNumber,
			"postCode":postCode,"contactNo":contactNo,"contactHome":contactHome,"email":email,"dob":dob,
			"policyCount":policyCount};
	
	return user;	
}

function editCustomerDetails(custnum,firstName,lastName,dob,houseName,postCode){
	var path = "/GENAPP/LGICUS01";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
			<q0:LGICUS01Operation>
				<q0:ca>
					<q0:ca_request_id>01CUS</q0:ca_request_id>
					<q0:ca_return_code>00</q0:ca_return_code>
					<q0:ca_customer_num>{custNum}</q0:ca_customer_num>
					<q0:ca_first_name>{firstName}</q0:ca_first_name>
					<q0:ca_last_name>{lastName}</q0:ca_last_name>
					<q0:ca_dob>{dob}</q0:ca_dob>
					<q0:ca_house_name>{houseName}</q0:ca_house_name>
					<q0:ca_postcode>{postCode}</q0:ca_postcode>
					<q0:ca_num_policies>0</q0:ca_num_policies>
					<q0:ca_phone_mobile/>
					<q0:ca_phone_home/>
					<q0:ca_email_address/>
					<q0:ca_policy_data />
				</q0:ca>
			</q0:LGICUS01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
}

function getCustomerPolicies(custNum){
	var path = "/GENAPP/LGIPOL02";
	WL.Logger.debug("inside get customer policies");
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.IPPROG.POLLOOK.Request.com" >
		<soap:Body>
			<q0:IPPROGMBOperation>
				<q0:request>
					<q0:ca_request_id>01CUP</q0:ca_request_id>
					<q0:ca_customer_num>{custNum}</q0:ca_customer_num>
					<q0:ca_request_specific/>
				</q0:request>
			</q0:IPPROGMBOperation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	var dataCollection = {};
	dataCollection.results=[];
	
	WL.Logger.debug(result);
	
	for(var i=0;i<result.Envelope.Body.IPPROGMBOperationResponse.request.ca_cuspol_request.length;i++){
        var obj = result.Envelope.Body.IPPROGMBOperationResponse.request.ca_cuspol_request[i];
       var policyNum = null;
       var policyType = null;
        
        for(var key in obj){
            var attrName = key;
            var attrValue = obj[key];
            
            if(attrName == "ca_policy_number" && attrValue!=0){
            	//if we have a policy
            	policyNum = attrValue;
            	WL.Logger.debug(policyNum);
            }
            if(attrName== "ca_policy_type" && attrValue!=0){
            	policyType=attrValue;
            	WL.Logger.debug(policyType);
            	
            }
            
            WL.Logger.debug("Type:"+policyType+" and number :"+policyNum);
            
        }
        
        //invokeSpecificInquiry
        if(policyType!=null && policyNum!=null){
        	var response = invokeSpecificInquiry(policyNum,policyType,custNum);
        	WL.Logger.debug(response);
        	dataCollection.results[i] = obj;
        	dataCollection.results[i].policyType = response; 
        }
    }
	
	
	return dataCollection;
	
}

function invokeSpecificInquiry(policyNum,policyType,custNum){
	if(policyType=="M"){
		//motor
		return getMotorPolicy(custNum,policyNum);
	}
	else if(policyType=="H"){
		//home
		return getHousePolicy(custNum,policyNum);
	}
	else if(policyType=="E"){
		//endowment
		return getEndowmentPolicy(custNum,policyNum);
	}
	else if(policyType=="C"){
		//company
		return getBusinessPolicy(custNum,policyNum);
	}
		
}

function startMotorPolicyClaim(username,carPolicyNum,otherCustNum){
	//global var used for resetDemo 
	motorPolicyNum = carPolicyNum;
	var path = "/GENAPP/LGIPOLM1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGIPOL01Operation>
		  <q0:ca_request_id>01IMOT</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{username}</q0:ca_customer_num>
		  <q0:ca_policy_num>{carPolicyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment></q0:ca_payment>
		  <q0:ca_m_make/>
		  <q0:ca_m_model/>
		  <q0:ca_m_value>00</q0:ca_m_value>
		  <q0:ca_m_regnumber/>
		  <q0:ca_m_colour/>
		  <q0:ca_m_cc>00</q0:ca_m_cc>
		  <q0:ca_m_manufactured/>
		  <q0:ca_m_premium/>
		  <q0:ca_m_accidents/>
		  <q0:ca_m_filler>FINAL{otherCustNum}</q0:ca_m_filler>
		</q0:LGIPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}

function getMotorPolicy(custNum,policyNum){
	//global var used for resetDemo 
	motorPolicyNum = policyNum;
	var path = "/GENAPP/LGIPOLM1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGIPOL01Operation>
		  <q0:ca_request_id>01IMOT</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid/>
		  <q0:ca_brokersref/>
		  <q0:ca_payment/>
		  <q0:ca_m_make/>
		  <q0:ca_m_model/>
		  <q0:ca_m_value/>
		  <q0:ca_m_regnumber/>
		  <q0:ca_m_colour/>
		  <q0:ca_m_cc/>
		  <q0:ca_m_manufactured/>
		  <q0:ca_m_premium/>
		  <q0:ca_m_accidents/>
		  <q0:ca_m_filler/>
		</q0:LGIPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}

function getHousePolicy(custNum,policyNum){
	//global var used for resetDemo 
	homePolicyNum = policyNum;
var path = "/GENAPP/LGIPOLH1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGIPOL01Operation>
		  <q0:ca_request_id>01IHOU</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_h_property_type/>
		  <q0:ca_h_bedrooms>00</q0:ca_h_bedrooms>
		  <q0:ca_h_value>00</q0:ca_h_value>
		  <q0:ca_h_house_name/>
		  <q0:ca_h_house_number/>
		  <q0:ca_h_postcode/>
		  <q0:ca_h_filler/>
		</q0:LGIPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}

function getEndowmentPolicy(custNum,policyNum){
	//global var used for resetDemo 
	endowmentPolicyNum = policyNum;
var path = "/GENAPP/LGIPOLE1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGIPOL01Operation>
		  <q0:ca_request_id>01IEND</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_e_with_profits/>
		  <q0:ca_e_equities/>
		  <q0:ca_e_managed_fund/>
		  <q0:ca_e_fund_name/>
		  <q0:ca_e_term>00</q0:ca_e_term>
		  <q0:ca_e_sum_assured>00</q0:ca_e_sum_assured>
		  <q0:ca_e_life_assured/>
		  <q0:ca_e_padding_data/>
		</q0:LGIPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}
function getBusinessPolicy(custNum,policyNum){
var path = "/GENAPP/LGIPOLB1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGIPOL01Operation>
		  <q0:ca_request_id>01ICOM</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date>0</q0:ca_expiry_date>
		  <q0:ca_lastchanged>0</q0:ca_lastchanged>
		  <q0:ca_brokerid>0</q0:ca_brokerid>
		  <q0:ca_brokersref>0</q0:ca_brokersref>
		  <q0:ca_b_Address>0</q0:ca_b_Address>
		  <q0:ca_b_Postcode>0</q0:ca_b_Postcode>
		  <q0:ca_b_Latitude>0</q0:ca_b_Latitude>
		  <q0:ca_b_Longitude>0</q0:ca_b_Longitude>
		  <q0:ca_b_Customer>00</q0:ca_b_Customer>
		  <q0:ca_b_PropType/>
		  <q0:ca_b_FirePeril>0</q0:ca_b_FirePeril>
		  <q0:ca_b_FirePremium>0</q0:ca_b_FirePremium>
		  <q0:ca_b_CrimePeril>0</q0:ca_b_CrimePeril>
		  <q0:ca_b_CrimePremium>0</q0:ca_b_CrimePremium>
		  <q0:ca_b_FloodPeril>0</q0:ca_b_FloodPeril>
		  <q0:ca_b_FloodPremium>0</q0:ca_b_FloodPremium>
		  <q0:ca_b_WeatherPeril>0</q0:ca_b_WeatherPeril>
		  <q0:ca_b_WeatherPremium>0</q0:ca_b_WeatherPremium>
		  <q0:ca_b_Status>0</q0:ca_b_Status>
		  <q0:ca_b_RejectReason>0</q0:ca_b_RejectReason>
		  <q0:ca_b_filler>0</q0:ca_b_filler>
		</q0:LGIPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}


function addMotorPolicy(custNum,issueDate,expiryDate,make,model,value,regNumber,colour,cc,manufactured,premium,accidents){
	
	var path = "/GENAPP/LGAPOLM1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGAPOL01Operation>
		  <q0:ca_request_id>01AMOT</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>00</q0:ca_policy_num>
		  <q0:ca_issue_date>{issueDate}</q0:ca_issue_date>
		  <q0:ca_expiry_date>{expiryDate}</q0:ca_expiry_date>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref>00</q0:ca_brokersref>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_m_make>{make}</q0:ca_m_make>
		  <q0:ca_m_model>{model}</q0:ca_m_model>
		  <q0:ca_m_value>{value}</q0:ca_m_value>
		  <q0:ca_m_regnumber>{regNumber}</q0:ca_m_regnumber>
		  <q0:ca_m_colour>{colour}</q0:ca_m_colour>
		  <q0:ca_m_cc>{cc}</q0:ca_m_cc>
		  <q0:ca_m_manufactured>{manufactured}</q0:ca_m_manufactured>
		  <q0:ca_m_premium>{premium}</q0:ca_m_premium>
		  <q0:ca_m_accidents>{accidents}</q0:ca_m_accidents>
		  <q0:ca_m_filler/>
		</q0:LGAPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}

function addHomePolicy(custNum,issueDate,expiryDate,propertyType,bedrooms,value,houseName,houseNumber,postcode){
	
	var path = "/GENAPP/LGAPOLH1";
	var request = 
		<soap:Envelope 
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
		xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		xmlns:q0="http://www.ibm.com/foo" >
	<soap:Body>
	<q0:LGAPOL01Operation>
		  <q0:ca_request_id>01AHOU</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>00</q0:ca_policy_num>
		  <q0:ca_issue_date>{issueDate}</q0:ca_issue_date>
		  <q0:ca_expiry_date>{expiryDate}</q0:ca_expiry_date>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref>00</q0:ca_brokersref>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_h_property_type>{propertyType}</q0:ca_h_property_type>
		  <q0:ca_h_bedrooms>{bedrooms}</q0:ca_h_bedrooms>
		  <q0:ca_h_value>{value}</q0:ca_h_value>
		  <q0:ca_h_house_name>{houseName}</q0:ca_h_house_name>
		  <q0:ca_h_house_number>{houseNumber}</q0:ca_h_house_number>
		  <q0:ca_h_postcode>{postcode}</q0:ca_h_postcode>
		  <q0:ca_h_filler/>
		</q0:LGAPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}


function addEndowmentPolicy(custNum,issueDate,expiryDate,equities,profits,managedfund,fundname,term,sumassured,lifeassured){
	
	var path = "/GENAPP/LGAPOLE1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.LGAPOL01.SOAIPE1.Request.com" >
		<soap:Body>
		<q0:LGAPOL01Operation>
		  <q0:ca_request_id>01AEND</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>00</q0:ca_policy_num>
		  <q0:ca_issue_date>{issueDate}</q0:ca_issue_date>
		  <q0:ca_expiry_date>{expiryDate}</q0:ca_expiry_date>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_e_with_profits>{profits}</q0:ca_e_with_profits>
		  <q0:ca_e_equities>{equities}</q0:ca_e_equities>
		  <q0:ca_e_managed_fund>{managedfund}</q0:ca_e_managed_fund>
		  <q0:ca_e_fund_name>{fundname}</q0:ca_e_fund_name>
		  <q0:ca_e_term>{term}</q0:ca_e_term>
		  <q0:ca_e_sum_assured>{sumassured}</q0:ca_e_sum_assured>
		  <q0:ca_e_life_assured>{lifeassured}</q0:ca_e_life_assured>
		  <q0:ca_e_padding_data/>
		</q0:LGAPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	var result = WL.Server.invokeHttp(input);
	
	return result.Envelope.Body;
	
	
}

function deleteMotorPolicy(custNum,policyNum){
	
	
	var path = "/GENAPP/LGDPOLM1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.ibm.com/foo" >
		<soap:Body>
		<q0:LGDPOL01Operation>
		  <q0:ca_request_id>01DMOT</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_m_make/>
		  <q0:ca_m_model/>
		  <q0:ca_m_value>00</q0:ca_m_value>
		  <q0:ca_m_regnumber/>
		  <q0:ca_m_colour/>
		  <q0:ca_m_cc>00</q0:ca_m_cc>
		  <q0:ca_m_manufactured/>
		  <q0:ca_m_premium/>
		  <q0:ca_m_accidents/>
		  <q0:ca_m_filler/>
		</q0:LGDPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	
	var result = WL.Server.invokeHttp(input);
	WL.Logger.debug("finished deleting");
	return result.Envelope.Body;
	
	
	
	



	
}

function deleteHomePolicy(custNum,policyNum){
	
	var path = "/GENAPP/LGDPOLH1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.LGDPOL01.SOAIPH1.Request.com" >
		<soap:Body>
		<q0:LGDPOL01Operation>	
		  <q0:ca_request_id>01DHOU</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_h_property_type/>
		  <q0:ca_h_bedrooms>00</q0:ca_h_bedrooms>
		  <q0:ca_h_value>00</q0:ca_h_value>
		  <q0:ca_h_house_name/>
		  <q0:ca_h_house_number/>
		  <q0:ca_h_postcode/>
		  <q0:ca_h_filler/>
		</q0:LGDPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	
	var result = WL.Server.invokeHttp(input);
	WL.Logger.debug("finished deleting");
	return result.Envelope.Body;
	
	
	
	



	
}

function deleteEndowmentPolicy(custNum,policyNum){
	
	
	var path = "/GENAPP/LGDPOLE1";
	
	var request = 
		<soap:Envelope 
			xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
			xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"
			xmlns:xsd="http://www.w3.org/2001/XMLSchema"
			xmlns:q0="http://www.LGDPOL01.SOAIPH1.Request.com" >
		<soap:Body>
		<q0:LGDPOL01Operation>
		  <q0:ca_request_id>01DEND</q0:ca_request_id>
		  <q0:ca_return_code>00</q0:ca_return_code>
		  <q0:ca_customer_num>{custNum}</q0:ca_customer_num>
		  <q0:ca_policy_num>{policyNum}</q0:ca_policy_num>
		  <q0:ca_issue_date/>
		  <q0:ca_expiry_date/>
		  <q0:ca_lastchanged/>
		  <q0:ca_brokerid>00</q0:ca_brokerid>
		  <q0:ca_brokersref/>
		  <q0:ca_payment>00</q0:ca_payment>
		  <q0:ca_e_with_profits/>
		  <q0:ca_e_equities/>
		  <q0:ca_e_managed_fund/>
		  <q0:ca_e_fund_name/>
		  <q0:ca_e_term/>
		  <q0:ca_e_sum_assured/>
		  <q0:ca_e_life_assured/>
		  <q0:ca_e_padding_data/>
		</q0:LGDPOL01Operation>
		</soap:Body>
		</soap:Envelope>;	
	var input = {
			
		method : "post",
		returnedContentType : "xml",
		path : path,
		body : {
			content: request.toString(),
			contentType: 'text/xml; charset=utf-8'
		}
	};
	
	var result = WL.Server.invokeHttp(input);
	WL.Logger.debug("finished deleting");
	return result.Envelope.Body;
	
	
	
	



	
}

function resetDemo(custNum){
	WL.Logger.debug("Inside reset demo");
	if(motorPolicyNum)
	deleteMotorPolicy(custNum,motorPolicyNum);
	if(homePolicyNum)
	deleteHomePolicy(custNum,homePolicyNum);
	if(endowmentPolicyNum)
	deleteEndowmentPolicy(custNum,endowmentPolicyNum);
	
	//probably reset extra stuff in here like the views refresh the page / inquire all details again.
	
	
	
}