//
//
//Licensed Materials - Property of IBM
//"Restricted Materials of IBM"
//
//CA0D
//
//(c) Copyright IBM Corp. 2013 All Rights Reserved.
//
//US Government Users Restricted Rights - Use, duplication or
//disclosure restricted by GSA ADP Schedule Contract with
//IBM Corp. 
//

package genapp.mobile.policy;

import java.io.UnsupportedEncodingException;

import com.ibm.cics.server.Channel;
import com.ibm.cics.server.CicsConditionException;
import com.ibm.cics.server.CommAreaHolder;
import com.ibm.cics.server.Container;
import com.ibm.cics.server.Program;
import com.ibm.cics.server.Task;

public class InquirePolicy
{
	public static void main(CommAreaHolder CAH)
	{
		byte[] CA = CAH.value;
		Task t=Task.getTask();

		short retVal = 0;
		String customer;
		try {
			customer = new String(CA, 6, 10, "cp037");


			Channel policyInq = t.createChannel("policyInq");
			Container custContainer = policyInq.createContainer("customer");

			custContainer.put(customer);

			// Link to the DB2PolicyInquire program, passing the policyInq channel
			Program p = new Program();
			p.setName("IPDBMOB");
			p.link(policyInq);
			String data = null;	
			Container returnCont = policyInq.getContainer("retVal");
			if(returnCont!=null) {
				byte[] retValBytes = returnCont.get();
				retVal = Short.parseShort(new String(retValBytes));

				// DB2 code has worked
				if(retVal == 0) {
					for(int i=0;i<5;i++) {
						String policyStr = "0000000000";
						String policyType = "0";
						
						// Get the policy containers which have been returned
						Container policy = policyInq.getContainer("policy"+i);
						if(policy!=null) {
							 data = new String(policy.get());
						
							policyType =data.substring(data.length()-1,data.length());
							policyStr = String.format("%010d", Integer.parseInt(data.substring(0,data.length()-1)));
						} else if(i == 0) {
							retVal = 1; // NO DATA
						}
						byte[] policyNo = policyStr.getBytes("cp037");
						String test1 = new String(policyNo,"cp037");
		
						byte[] policyTypeVal = policyType.getBytes("cp037");
						String test2 = new String(policyTypeVal,"cp037");
						
						
						
						for(int j=0;j<policyNo.length;j++) {
							//putting in its copybook
							CA[i*11+j] = policyNo[j];
						}
						
						for(int s=0;s<policyTypeVal.length;s++) {
							//putting in its copybook
							CA[i*11+policyNo.length+s] = policyTypeVal[s]; 
						}
						
					}
					
					
				}  
			} else {
				retVal = 9;
				t.out.println("NO RETVAL CONTAINER");
			}
		} catch (Exception cce){
			t.out.print("Caught CICS Condition Exception: " + cce.getMessage());
			
			if(cce instanceof CicsConditionException) {
				t.out.println(" Resp2: " + ((CicsConditionException)cce).getRESP2());
				cce.printStackTrace();
			}
			else {
				t.out.println();
				cce.printStackTrace();
			}
			retVal = 8;
		}
		try {
			byte[] retBytes = Integer.toString(retVal).getBytes("cp037");
		} catch (UnsupportedEncodingException e) {}

		CAH.value = CA;
		
		
	}
}
